org.keycloak.storage.ldap.mappers

## Class AbstractLDAPStorageMapperFactory

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapperFactory

- All Implemented Interfaces:
    ComponentFactory<LDAPStorageMapper,LDAPStorageMapper>, SubComponentFactory<LDAPStorageMapper,LDAPStorageMapper>, ConfiguredProvider, ProviderFactory<LDAPStorageMapper>, LDAPStorageMapperFactory<LDAPStorageMapper>
  Direct Known Subclasses:
    FullNameLDAPStorageMapperFactory, GroupLDAPStorageMapperFactory, HardcodedAttributeMapperFactory, HardcodedLDAPAttributeMapperFactory, HardcodedLDAPGroupStorageMapperFactory, HardcodedLDAPRoleStorageMapperFactory, MSADLDSUserAccountControlStorageMapperFactory, MSADUserAccountControlStorageMapperFactory, RoleLDAPStorageMapperFactory, UserAttributeLDAPStorageMapperFactory

      public abstract class AbstractLDAPStorageMapperFactory
      extends Object
      implements LDAPStorageMapperFactory<LDAPStorageMapper>

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLDAPStorageMapperFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkMandatoryConfigAttribute(String name, String displayName, ComponentModel mapperModel)`
    `void` | `close()` This is called when the server shuts down.
    `LDAPStorageMapper` | `create(KeycloakSession session, ComponentModel model)` called per Keycloak transaction.
    `static ProviderConfigProperty` | `createConfigProperty(String name, String label, String helpText, String type, List<String> options)`
    `protected abstract AbstractLDAPStorageMapper` | `createMapper(ComponentModel mapperModel, LDAPStorageProvider federationProvider)`
    `Map<String,Object>` | `getTypeMetadata()` This is metadata about this component type.
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.storage.ldap.mappers.LDAPStorageMapperFactory

      `getConfigProperties, getHelpText, getId, onCreate, onParentUpdate, validateConfiguration`

    - ### Methods inherited from interface org.keycloak.component.SubComponentFactory

      `getConfigProperties, getTypeMetadata`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### AbstractLDAPStorageMapperFactory

          public AbstractLDAPStorageMapperFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<LDAPStorageMapper>`
      Specified by:
        `init` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`

    - #### create

          public LDAPStorageMapper create(KeycloakSession session,
                                          ComponentModel model)

      Description copied from interface: `LDAPStorageMapperFactory`
      called per Keycloak transaction.
      Specified by:
        `create` in interface `ComponentFactory<LDAPStorageMapper,LDAPStorageMapper>`
      Specified by:
        `create` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`

    - #### createMapper

          protected abstract AbstractLDAPStorageMapper createMapper(ComponentModel mapperModel,
                                                                    LDAPStorageProvider federationProvider)

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<LDAPStorageMapper>`
      Specified by:
        `postInit` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`

    - #### getTypeMetadata

          public Map<String,Object> getTypeMetadata()

      Description copied from interface: `ComponentFactory`
      This is metadata about this component type. Its really configuration information about the component type and not an individual instance
      Specified by:
        `getTypeMetadata` in interface `ComponentFactory<LDAPStorageMapper,LDAPStorageMapper>`
      Returns:

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<LDAPStorageMapper>`
      Specified by:
        `close` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`

    - #### createConfigProperty

          public static ProviderConfigProperty createConfigProperty(String name,
                                                                    String label,
                                                                    String helpText,
                                                                    String type,
                                                                    List<String> options)

    - #### checkMandatoryConfigAttribute

          protected void checkMandatoryConfigAttribute(String name,
                                                       String displayName,
                                                       ComponentModel mapperModel)
                                                throws ComponentValidationException

      Throws:
        `ComponentValidationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.